package controllers

import (
	"github.com/go-redis/redis/v7"

	"lc/common/util"
)

var redisCltRawdata *redis.Client

func InitRedis(conf *util.RedisConfig) bool {
	var err1 error
	redisCltRawdata, err1 = util.NewRedisClient(conf, util.REDIS_DBIDX_RAWDATA)
	if err1 != nil {
		return false
	}
	return true
}

func UninitRedis() {
	if redisCltRawdata != nil {
		redisCltRawdata.Close()
	}
}

func Push2RedisQueue(qname, content string) error {
	_, err := redisCltRawdata.LPush(qname, content).Result()
	return err
}
